What if I have pairing issues?

If you are having issues pairing the Pilot with your smartphone, please ensure that you have the latest software version of iOS 10.0 or higher (iPhone only), or Android 4.4 or higher (tablets not supported). Also, check that you have latest version of software for your Pilot by going to your Pilot app, navigate to User Settings, and select the “Check for firmware updates” option. Note: You must have already registered your Pilot earbuds with your account.

 

If you are still having issues, please contact customer service so we can evaluate the issue.

Submit your request here.

Was this article helpful?
0 out of 0 found this helpful

Comments

0 comments

Please sign in to leave a comment.